<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigs: fwAlertConfig_Examples.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwAlertConfig__Examples_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwAlertConfig_Examples.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:acf5a32d75d2fb8030c9858a747900dce"><td class="memItemLeft" align="right" valign="top">dyn_mixed&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlertConfig__Examples_8ctl.html#acf5a32d75d2fb8030c9858a747900dce">alarmObject</a> = <a class="el" href="fwAlertConfig__Examples_8ctl.html#ae426989f71a1a628d4e1bce3ce7ebd5e">alarmLimits</a></td></tr>
<tr class="memdesc:acf5a32d75d2fb8030c9858a747900dce"><td class="mdescLeft">&#160;</td><td class="mdescRight">[Example: create Analog with utility function]  <a href="fwAlertConfig__Examples_8ctl.html#acf5a32d75d2fb8030c9858a747900dce">More...</a><br /></td></tr>
<tr class="separator:acf5a32d75d2fb8030c9858a747900dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a126046206c14e7c8304037712a337682"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a></td></tr>
<tr class="memdesc:a126046206c14e7c8304037712a337682"><td class="mdescLeft">&#160;</td><td class="mdescRight">[Example: get an analog alarm from a dpe]  <a href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">More...</a><br /></td></tr>
<tr class="separator:a126046206c14e7c8304037712a337682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae426989f71a1a628d4e1bce3ce7ebd5e"><td class="memItemLeft" align="right" valign="top">dyn_dyn_anytype&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlertConfig__Examples_8ctl.html#ae426989f71a1a628d4e1bce3ce7ebd5e">alarmLimits</a> = <a class="el" href="fwAlertConfig__Examples_8ctl.html#acf5a32d75d2fb8030c9858a747900dce">alarmObject</a>[<a class="el" href="group__fwConfigsAlert.html#gaf7929ae9d3ce25c958479f4d9f55d002">fwAlertConfig_ALERT_LIMIT</a>]</td></tr>
<tr class="memdesc:ae426989f71a1a628d4e1bce3ce7ebd5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">[Example: create Summary without utility function]  <a href="fwAlertConfig__Examples_8ctl.html#ae426989f71a1a628d4e1bce3ce7ebd5e">More...</a><br /></td></tr>
<tr class="separator:ae426989f71a1a628d4e1bce3ce7ebd5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade85bb079ab3983dbb5d5b98e28dfc01"><td class="memItemLeft" align="right" valign="top">dyn_dyn_mixed&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlertConfig__Examples_8ctl.html#ade85bb079ab3983dbb5d5b98e28dfc01">alarmConfigObject</a></td></tr>
<tr class="memdesc:ade85bb079ab3983dbb5d5b98e28dfc01"><td class="mdescLeft">&#160;</td><td class="mdescRight">[Example: set 4 alarms without utility function]  <a href="fwAlertConfig__Examples_8ctl.html#ade85bb079ab3983dbb5d5b98e28dfc01">More...</a><br /></td></tr>
<tr class="separator:ade85bb079ab3983dbb5d5b98e28dfc01"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains only documentation of the fwConfigs library set</p>
<dl class="section user"><dt>Creation Date</dt><dd>14/09/2011 </dd></dl>
<dl class="section author"><dt>Author</dt><dd>Marco Boccioli (EN/ICE-SCD) </dd></dl>
</div><h2 class="groupheader">Variable Documentation</h2>
<a id="acf5a32d75d2fb8030c9858a747900dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf5a32d75d2fb8030c9858a747900dce">&#9670;&nbsp;</a></span>alarmObject</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_mixed alarmObject = <a class="el" href="fwAlertConfig__Examples_8ctl.html#ae426989f71a1a628d4e1bce3ce7ebd5e">alarmLimits</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>[Example: create Analog with utility function] </p>
<p>[Example: set 4 alarms bit32 without utility function]</p>
<p>[Example: create Analog without utility function]</p>
<p>[Example: create Discrete with utility function]</p>
<p>[Example: create Discrete without utility function]</p>
<p>[Example: create Digital, false=ok, with utility function]</p>
<p>[Example: create Digital, true=ok, with utility function]</p>
<p>[Example: create Digital, false=ok, without utility function]</p>
<p>[Example: create Digital, true=ok, without utility function]</p>
<p>[Example: create Summary with utility function]</p>
<p>[Example: create Summary without utility function]</p>
<p>[Example: set 2 alarms with utility function]</p>
<p>[Example: set one alarm into 2 dpes with utility function] </p>

</div>
</div>
<a id="a126046206c14e7c8304037712a337682"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a126046206c14e7c8304037712a337682">&#9670;&nbsp;</a></span>exc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string exc</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>[Example: get an analog alarm from a dpe] </p>
<p>[Example: get alarms from two dpes] </p>

</div>
</div>
<a id="ae426989f71a1a628d4e1bce3ce7ebd5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae426989f71a1a628d4e1bce3ce7ebd5e">&#9670;&nbsp;</a></span>alarmLimits</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_dyn_anytype alarmLimits = <a class="el" href="fwAlertConfig__Examples_8ctl.html#acf5a32d75d2fb8030c9858a747900dce">alarmObject</a>[<a class="el" href="group__fwConfigsAlert.html#gaf7929ae9d3ce25c958479f4d9f55d002">fwAlertConfig_ALERT_LIMIT</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>[Example: create Summary without utility function] </p>
<p>[Example: set 2 alarms without utility function]</p>
<p>[Example: set 4 alarms without utility function] </p>

</div>
</div>
<a id="ade85bb079ab3983dbb5d5b98e28dfc01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade85bb079ab3983dbb5d5b98e28dfc01">&#9670;&nbsp;</a></span>alarmConfigObject</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_mixed alarmConfigObject</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>[Example: set 4 alarms without utility function] </p>
<p>[Example: set one alarm into 2 dpes with utility function]</p>
<p>[Example: set 4 alarms bit32 without utility function]</p>
<p>[Example: get an analog alarm from a dpe] </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAlertConfig__Examples_8ctl.html">fwAlertConfig_Examples.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
